<!-- CREATE DATA MODAL START -->
<ng-template #create_modal_content let-modal>
    <div class="modal-header">
        <h4 class="modal-title" id="modal-title">Import dataset</h4>
        <button type="button" class="close" aria-describedby="modal-title" (click)="modal.dismiss('Cross click')">
        <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <p><strong>Please fill the form with the new dataset information</strong></p>
        <hr class="mt-6 mb-6 bg-primary border-1 border-top border-primary">
        <div class="mb-10">
            <label for="exampleFormControlInput1" class="required form-label">File</label>
            <ngx-dropzone (change)="onSelect($event)" [multiple]="false">
                <ngx-dropzone-label>                
                    <div class="ms-4">
                        <i class="bi bi-file-earmark-arrow-up text-primary fs-3x"></i>
                        <h3 class="fs-5 fw-bolder text-gray-900 mb-1 mt-4">Drop files here or click to upload.</h3>
                        <span class="fs-7 fw-bold text-gray-400">CSV, JSON or YAML</span>
                    </div>
                </ngx-dropzone-label>
                <ngx-dropzone-preview *ngFor="let f of files" [removable]="true" (removed)="onRemove(f)">
                    <ngx-dropzone-label>{{ f.name }} ({{ f.type }})</ngx-dropzone-label>
                </ngx-dropzone-preview>
            </ngx-dropzone>
        </div>
        <div class="mb-10">
            <label for="exampleFormControlInput1" class="required form-label">Name</label>
            <input value=""type="text" class="form-control form-control-solid" placeholder=""/>
        </div>
        <div class="mb-10">
            <label for="exampleFormControlInput1" class="required form-label">Owner</label>
            <input value=""type="text" class="form-control form-control-solid" placeholder=""/>
        </div>
        <div class="mb-10">
            <label for="exampleFormControlInput1" class="required form-label">Created At</label>
            <input value=""type="text" class="form-control form-control-solid" placeholder=""/>
        </div>
        <div class="mb-10">
            <label for="exampleFormControlInput1" class="required form-label">Software used to generate the data</label>
            <input value=""type="text" class="form-control form-control-solid" placeholder=""/>
        </div>
        <div class="mb-10">
            <label for="exampleFormControlInput1" class="required form-label">Format</label>
            <input value=""type="text" class="form-control form-control-solid" placeholder=""/>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" (click)="modal.dismiss('cancel click')">Cancel</button>
        <button type="button" class="btn btn-primary" (click)="modal.close('confirm creation')">Upload</button>
    </div>
</ng-template>
<!-- CREATE DATA MODAL END -->


<div class="d-flex justify-content-center mb-5">
    <div class="p-2 bd-highlight w-50">
        <div class="card shadow-sm">
            <div class="card-header">
                <h3 class="card-title">Upload Dataset</h3>
            </div>
            <div class="card-body top-card-label text-center">
                <div class="row align-items-center mb-5">
                    <strong>Upload and anonymize a dataset</strong>
                </div>
                <div class="row justify-content-center">
                    <a (click)="openCreateDatasetModal(create_modal_content)"style= "width: 30%;" class="btn btn-sm btn-primary"><i class="las la-cloud-upload-alt fs-1 me-2"></i>Fill upload form</a>
                </div>
            </div>
        </div>
    </div>
    
    
</div>


<div class="card shadow-sm" *ngIf="showTables">
    <div class="card-header">
        <h3 class="card-title">Anonymized datasets</h3>
    </div>
    <div class="card-body">
        <table class="table table-rounded table-striped border gy-7 gs-7">
            <thead>
                <tr class="fw-bold fs-6 text-gray-800 border-bottom border-gray-200">
                    <th>Name</th>
                    <th>Owner</th>
                    <th>Sensitive?</th>
                    <th>Created at</th>
                    <th>Action</th>
                </tr>
                <tr *ngFor="let dataset of this.receivedData; let i = index" >
                    <td><strong>{{dataset |titlecase}}</strong></td>
                    <td>{{owners[i]}}</td>
                    <td *ngIf="sensitive[i]" >
                        <span
                            [inlineSVG]="'./assets/media/icons/duotune/general/gen043.svg'"
                            class="sensitive-icon svg-icon svg-icon-2x svg-icon-success"
                        ></span>
                    </td>
                    <td *ngIf="!sensitive[i]">
                        <span
                            [inlineSVG]="'./assets/media/icons/duotune/general/gen040.svg'"
                            class="sensitive-icon svg-icon svg-icon-2x svg-icon-danger"
                        ></span>
                    </td>
                    <td>{{createdAt[i]}}</td>
                    <td>
                        <a
                        
                        class="
                          btn btn-icon btn-bg-light btn-active-color-primary btn-sm
                          me-1
                        "
                      >
                      <span
                      [inlineSVG]="'./assets/media/icons/duotune/general/gen021.svg'"
                      class="svg-icon svg-icon-3"
                    ></span>
                    </a>
                    <a
                        
                        class="
                          btn btn-icon btn-bg-light btn-active-color-primary btn-sm
                          me-1
                        "
                      >
                      <span
                      [inlineSVG]="'./assets/media/icons/duotune/files/fil017.svg'"
                      class="svg-icon svg-icon-3"
                    ></span>
                    </a>
                    <a
                        
                        class="
                          btn btn-icon btn-bg-light btn-active-color-primary btn-sm
                          me-1
                        "
                      >
                      <span
                      [inlineSVG]="'./assets/media/icons/duotune/general/gen027.svg'"
                      class="svg-icon svg-icon-3"
                    ></span>
                    </a>
                    </td>

                </tr>
            </thead>


            
    